/plugins/pull POST /plugins/{name}/enable endpoint.Connection and access
API connection and authentication guidance
X-Registry-Auth delegates registry credentials
and does not authenticate the daemon caller.
/v1.57
No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.
Parameters
remote
query
Required
Remote reference for plugin to install.
The :latest tag is optional, and is used as the default if omitted.
Type:
string
All schema constraints and annotations
{
"type": "string"
}name
query
Local name for the pulled plugin.
The :latest tag is optional, and is used as the default if omitted.
Type:
string
All schema constraints and annotations
{
"type": "string"
}X-Registry-Auth
header
A base64url-encoded auth configuration to use when pulling a plugin from a registry.
Refer to the authentication section for details.
Type:
string
All schema constraints and annotations
{
"type": "string"
}Request and responses
Request
application/json
Type:
array
Array item
Schema:
PluginPrivilege
All schema constraints and annotations
{
"example": [
{
"Description": "",
"Name": "network",
"Value": [
"host"
]
},
{
"Description": "",
"Name": "mount",
"Value": [
"/data"
]
},
{
"Description": "",
"Name": "device",
"Value": [
"/dev/cpu_dma_latency"
]
}
],
"items": {
"$ref": "#/components/schemas/PluginPrivilege"
},
"type": "array"
}Schema example
[
{
"Description": "",
"Name": "network",
"Value": [
"host"
]
},
{
"Description": "",
"Name": "mount",
"Value": [
"/data"
]
},
{
"Description": "",
"Name": "device",
"Value": [
"/dev/cpu_dma_latency"
]
}
]Request
text/plain
Type:
array
Array item
Schema:
PluginPrivilege
All schema constraints and annotations
{
"example": [
{
"Description": "",
"Name": "network",
"Value": [
"host"
]
},
{
"Description": "",
"Name": "mount",
"Value": [
"/data"
]
},
{
"Description": "",
"Name": "device",
"Value": [
"/dev/cpu_dma_latency"
]
}
],
"items": {
"$ref": "#/components/schemas/PluginPrivilege"
},
"type": "array"
}Schema example
[
{
"Description": "",
"Name": "network",
"Value": [
"host"
]
},
{
"Description": "",
"Name": "mount",
"Value": [
"/data"
]
},
{
"Description": "",
"Name": "device",
"Value": [
"/dev/cpu_dma_latency"
]
}
]Response
204
No response content is declared.
Response
500
application/json
Schema:
ErrorResponse
Schema example
{
"message": "Something went wrong."
}Referenced schemas
#/components/schemas/ErrorResponse
#/components/schemas/PluginPrivilege
Complete operation contract
{
"description": "Pulls and installs a plugin. After the plugin is installed, it can be\nenabled using the [`POST /plugins/{name}/enable` endpoint](#operation/PostPluginsEnable).\n",
"operationId": "PluginPull",
"parameters": [
{
"description": "Remote reference for plugin to install.\n\nThe `:latest` tag is optional, and is used as the default if omitted.\n",
"in": "query",
"name": "remote",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "Local name for the pulled plugin.\n\nThe `:latest` tag is optional, and is used as the default if omitted.\n",
"in": "query",
"name": "name",
"required": false,
"schema": {
"type": "string"
}
},
{
"description": "A base64url-encoded auth configuration to use when pulling a plugin\nfrom a registry.\n\nRefer to the [authentication section](#section/Authentication) for\ndetails.\n",
"in": "header",
"name": "X-Registry-Auth",
"schema": {
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"example": [
{
"Description": "",
"Name": "network",
"Value": [
"host"
]
},
{
"Description": "",
"Name": "mount",
"Value": [
"/data"
]
},
{
"Description": "",
"Name": "device",
"Value": [
"/dev/cpu_dma_latency"
]
}
],
"items": {
"$ref": "#/components/schemas/PluginPrivilege"
},
"type": "array"
}
},
"text/plain": {
"schema": {
"example": [
{
"Description": "",
"Name": "network",
"Value": [
"host"
]
},
{
"Description": "",
"Name": "mount",
"Value": [
"/data"
]
},
{
"Description": "",
"Name": "device",
"Value": [
"/dev/cpu_dma_latency"
]
}
],
"items": {
"$ref": "#/components/schemas/PluginPrivilege"
},
"type": "array"
}
}
},
"x-codegen-request-body-name": "body"
},
"responses": {
"204": {
"description": "no error"
},
"500": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "server error"
}
},
"summary": "Install a plugin",
"tags": [
"Plugin"
]
}